function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        this._state = 0;
        browser.open('http://facebook.com');

        this._browser = browser;
    },

    onLoad: function () {
        var login = this._browser.getLogin();
        var password = this._browser.getPassword();
        if (!login) {
            this._browser.skipTest();
        }
        if (this._state === 0) {
            this._state++;
            this._browser.injectScript(makeAuthorizer('email', 'pass', login, password));
        } else {
            this._browser.finish();
        }
    },

    validateCallLog: function (log) {
        assertEquals(log[0].func, "Unity.init");
        assertEquals(log[0].args[0].name, "facebook");
        assertEquals(log[1].func, "Unity.MessagingIndicator.showIndicator");
    },

    scriptName: 'FacebookMessenger.user.js.in'
};
