function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        browser.open('http://www.google.com/calendar');
        this._browser = browser;
    },

    onLoad: function (uri) {
        var login = this._browser.getLogin();
        var password = this._browser.getPassword();
        if (!login) {
            this._browser.skipTest();
        }
        if (this._state === 0) {
            this._browser.injectScript(makeAuthorizer('Email', 'Passwd', login, password));
        } else if (uri.match(/^https?:\/\/www.google.com\/calendar\//)) {
            setTimeout(this._browser.finish.bind(this._browser), 5000);
        }
        this._state++;
    },

    validateCallLog: function (log) {
        assertEquals(log[0].func, 'Unity.init');
        assertEquals(log[0].args[0].name, 'Google Calendar');
        assertEquals(log[1].func, "Unity.Launcher.addAction");
    },

    scriptName: 'GoogleCalendar.user.js.in'
};
