function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        this._state = 0;
        browser.open('https://accounts.google.com/ServiceLogin?service=oz&continue=https://plus.google.com/?gpcaz%3D36693552&hl=ru');

        this._browser = browser;
    },

    onLoad: function (uri) {
        var login = this._browser.getLogin();
        var password = this._browser.getPassword();
        if (!login) {
            this._browser.skipTest();
        }
        if (this._state === 0) {
            this._browser.injectScript(makeAuthorizer('Email', 'Passwd', login, password));
        } else if (uri.match(/^https:\/\/plus.google.com/)) {
            this._browser.finish();
        }
        this._state++;
    },

    validateCallLog: function (log, out) {
        var i;
        assertEquals(log[0].func, "Unity.init");
        assertEquals(log[1].func, "Unity.MessagingIndicator.showIndicator");

        var count = 0;
        for (i = 3; i < log.length; i++) {
            if (log[i].func === 'Unity.addAction') {
                count++;
            }
        }
        assertEquals(count > 5, true);

        var found = false;
        for (i = 0; i < out.length; i++) {
            if (out[i] === 'PASS SELF TEST') {
                found = true;
            }
        }
        assertEquals(found, true);
    },

    scriptName: 'GooglePlus.user.js.in'
};
