function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        browser.open('https://launchpad.net/webapps-applications');
        this._browser = browser;
    },

    onLoad: function () {
        setTimeout(function () {
            this._browser.finish();
        }.bind(this), 5000);
    },

    validateCallLog: function (log) {
        var i;
        assertEquals(log[0].args[0].name, 'Launchpad');

        var actionsCount = 0, launcherAction = false;
        for (i = 0; i < log.length; i++) {
            if (log[i].func === 'Unity.Launcher.addAction' && log[i].args[0] === 'webapps-applications') {
                launcherAction = true;
            }
            if (log[i].func === 'Unity.addAction') {
                actionsCount++;
            }
        }
        assertEquals(actionsCount && launcherAction, true);
    },

    scriptName: 'Launchpad.user.js.in'
};
