function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        this._state = 0;
        browser.open('http://mail.yandex.com');

        this._browser = browser;
    },

    onLoad: function () {
        var login = this._browser.getLogin();
        var password = this._browser.getPassword();
        if (!login) {
            this._browser.skipTest();
        }
        if (this._state === 0) {
            this._state++;
            this._browser.injectScript(makeAuthorizer('b-mail-domik-username11', 'b-mail-domik-password11', login, password));
        } else {
            setTimeout(this._browser.finish.bind(this._browser), 8000);
        }
    },

    validateCallLog: function (log, out) {
        var i;

        assertEquals(log[0].func, "Unity.init");
        assertEquals(log[2].func, "Unity.MessagingIndicator.showIndicator");
        var found = false;
        for (i = 0; i < out.length; i++) {
            if (out[i] === 'PASS SELF TEST') {
                found = true;
            }
        }
        assertEquals(found, true);
    },

    scriptName: 'YandexMail.user.js.in'
};
