function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        this._state = 0;
        browser.open('http://news.yandex.ru');

        this._browser = browser;
    },

    onLoad: function () {
        if (!this._state) {
            this._browser.finish();
        }
        this._state++;
    },

    validateCallLog: function (log, out) {
        var i, hasTotal = false, hasNew = false;
        for (i = 0; i < out.length; i++) {
            if (!out[i].match(/^total:\d+/)) {
                hasTotal = true;
            }
            if (!out[i].match(/^new:\d+/)) {
                hasNew = true;
            }
        }
        assertEquals(!hasNew || !hasTotal, false);
        assertEquals(log[0].func, "Unity.init");
    },

    scriptName: 'YandexNews.user.js.in'
};
