function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        browser.open('http://www.youtube.com/watch?v=v1TsCud9QhU&feature=autoplay&list=PLDA83A73D581CEFCC&lf=plpp_play_all&playnext=120');
        this._browser = browser;
        this._state = 0;
    },

    onLoad: function () {
        if (this._state === 0) {
            setTimeout(function () {
                this._browser.invokeCallback('Unity.MediaPlayer.onNext');
            }.bind(this), 3000);
        } else {
            setTimeout(function () {
                this._browser.finish();
            }.bind(this), 3000);
        }

        this._state++;
    },

    validateCallLog: function (log) {
        assertEquals(log[0].func, 'Unity.init');
        assertEquals(log[0].args[0].name, 'YouTube');
        assertEquals(log[1].func, 'Unity.MediaPlayer.init');
        assertEquals(log[2].func, 'Unity.MediaPlayer.setTrack');
        assertEquals(log[2].args[0].title, 'Faithless - Mass Destruction');

        var i, hasSecondSong = false;
        for (i = 0; i < log.length; i++) {
            if (log[i].args[0] && log[i].args[0].title !== 'Waka Waka (This Time for Africa) (The Official 2010 FIFA ...') {
                hasSecondSong = true;
            }
        }

        assertEquals(hasSecondSong, true);
    },

    scriptName: 'YouTube.user.js.in'
};
