function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        browser.open('http://www.bbc.co.uk/news/');
        this._browser = browser;
    },

    onLoad: function () {
        setTimeout(this._browser.finish.bind(this._browser), 10000);
    },

    validateCallLog: function (log) {
        assertEquals(log[0].args[0].name, 'BBC News');
        assertEquals(log[1].func, 'Unity.Notification.showNotification');
    },

    scriptName: 'BBCNews.user.js.in'
};
