function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        this._state = 0;
        browser.open('http://facebook.com');

        this._browser = browser;
    },

    onLoad: function () {
        var login = this._browser.getLogin();
        var password = this._browser.getPassword();
        if (!login) {
            this._browser.skipTest();
        }
        if (this._state === 0) {
            this._browser.injectScript(makeAuthorizer('email', 'pass', login, password));
        } else if (this._state <= 2) {
            this._browser.open('http://apps.facebook.com/thesimssocial/');
        } else {
            setTimeout(this._browser.finish.bind(this._browser), 20000);
        }
        this._state++;
    },

    validateCallLog: function (log) {
        assertEquals(log[1].func, "Unity.init");
        assertEquals(log[1].args[0].name, "The Sims Social");
        assertEquals(log[1].args[0].homepage, "http://apps.facebook.com/thesimssocial/");
    },

    scriptName: 'FacebookApps.user.js.in'
};
