function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        browser.open('https://docs.google.com/a/canonical.com/document/d/1e7c1HahfdsLwBiq8BidSsAzb_gnw809shB56zCrPrV4/edit');
        this._browser = browser;
    },

    onLoad: function () {
        setTimeout(this._browser.finish.bind(this._browser), 30000);
    },

    validateCallLog: function (log) {
        var i;
        assertEquals(log[0].func, 'Unity.init');
        var actionsCount = 0, launcherAction = 0;
        for (i = 0; i < log.length; i++) {
            if (log[i].func === 'Unity.Launcher.addAction') {
                launcherAction++;
            }
        }
        assertEquals(!launcherAction, false);
    },

    scriptName: 'GoogleDocs.user.js.in'
};
