function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        browser.open('http://news.google.com/');
        this._browser = browser;
    },

    onLoad: function () {
        setTimeout(this._browser.finish.bind(this._browser), 10000);
    },

    validateCallLog: function (log) {
        assertEquals(log[0].func, 'Unity.init');
        assertEquals(log[1].func, 'Unity.addAction');
    },

    scriptName: 'GoogleNews.user.js.in'
};
