function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        this._state = 0;
        browser.open('https://accounts.google.com/ServiceLogin?service=oz&continue=https://plus.google.com/?gpcaz%3D36693552&hl=ru');

        this._browser = browser;
    },

    onLoad: function (uri) {
        //TODO: work with multiply pages.
        //we should support creating lunchers more than once per page
        var login = this._browser.getLogin();
        var password = this._browser.getPassword();
        if (!login) {
            this._browser.skipTest();
        }
        if (this._state === 0) {
            this._browser.injectScript(makeAuthorizer('Email', 'Passwd', login, password));
        } else if (uri === 'https://plus.google.com/games/498289062763') {
            setTimeout(this._browser.finish.bind(this._browser), 10000);
        } else if (uri.match(/^https:\/\/plus.google.com/)) {
            this._browser.open('https://plus.google.com/games/498289062763');
        }
        this._state++;
    },

    validateCallLog: function (log, out) {
        assertEquals(log[0].func, "Unity.init");
        assertEquals(log[0].args[0].name, "Zynga Poker");
        assertEquals(log[0].args[0].homepage, "https://plus.google.com/games/498289062763");
    },

    scriptName: 'GooglePlusGames.user.js.in'
};
