function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        this._state = 0;
        browser.open('https://accounts.google.com/ServiceLogin?service=reader&passive=1209600&continue=http://www.google.com/reader/&followup=http://www.google.com/reader/');

        this._browser = browser;
    },

    onLoad: function () {
        var login = this._browser.getLogin();
        var password = this._browser.getPassword();
        if (!login) {
            this._browser.skipTest();
        }
        if (this._state === 0) {
            this._browser.injectScript(makeAuthorizer('Email', 'Passwd', login, password));
        } else if (this._state >= 2) {
            this._browser.finish();
        }
        this._state++;
    },

    validateCallLog: function (log) {
        assertEquals(log[0].func, "Unity.init");
        assertEquals(log[0].args[0].name, "Google Reader");
        assertEquals(log[1].func, "Unity.MessagingIndicator.clearIndicators");
        assertEquals(log[2].func, "Unity.MessagingIndicator.showIndicator");
        assertEquals(log[log.length - 1].func, "Unity.addAction");
        assertEquals(log.length < 10, false);
    },

    scriptName: 'GoogleReader.user.js.in'
};
