function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        browser.open('http://alpha.libre.fm/listen.php?tag=metal');
        this._browser = browser;
        this._state = 0;
    },

    onLoad: function () {
        if (this._state === 0) {
            setTimeout(function () {
                this._browser.invokeCallback('Unity.MediaPlayer.onNext');
                setTimeout(function () {
                    this._browser.finish();
                }.bind(this), 3000);
            }.bind(this), 3000);
        }

        this._state++;
    },

    validateCallLog: function (log) {
        assertEquals(log[1].func, 'Unity.init');
        assertEquals(log[2].func, 'Unity.MediaPlayer.init');
        assertEquals(log[7].func, 'Unity.MediaPlayer.setTrack');

        var titles = {}, i;
        for (i = 0; i < log.length; i++) {
            if (log[i].func === 'Unity.MediaPlayer.setTrack') {
                titles[log[i].args[0].title] = 1;
            }
        }

        var count = 0;
        for (i in titles) {
            if (titles.hasOwnProperty(i)) {
                count++;
            }
        }
        assertEquals(count, 2);
    },

    scriptName: 'LibreFm.user.js.in'
};
