function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        this._state = 0;
        browser.open('https://login.live.com/login.srf?wa=wsignin1.0&rpsnv=11&ct=1328866784&rver=6.1.6206.0&wp=MBI&wreply=http:%2F%2Fmail.live.com%2Fdefault.aspx%3Frru%3Dinbox&lc=1033&id=64855&mkt=en-us&cbcxt=mai&snsc=1');

        this._browser = browser;
    },

    onLoad: function () {
        function authorize(login, password) {
            function insertText(text, node) {
                node.focus();
                var evt = document.createEvent('TextEvent');
                evt.initTextEvent('textInput', true, true, null, text, 9, "en-US");
                console.log(node.dispatchEvent(evt));
            }
            var name = document.evaluate('//input[@name=\"login\"]', document, null, XPathResult.ANY_UNORDERED_NODE_TYPE, null).singleNodeValue;
            name.value = login;

            var passwd = document.evaluate('//input[@name=\"passwd\"]', document, null, XPathResult.ANY_UNORDERED_NODE_TYPE, null).singleNodeValue;
            insertText(password, passwd);
            document.getElementById('idSIButton9').click();
        }

        var login = this._browser.getLogin();
        var password = this._browser.getPassword();
        if (!login) {
            this._browser.skipTest();
        }
        if (this._state === 0) {
            this._browser.injectScript("(function(){ var authorize = " + authorize + ";"
                                       + "authorize('" + login + "', '" + password + "'); })();");
        } else if (this._state === 1) {
            setTimeout(this._browser.finish.bind(this._browser), 50000);
        }
        this._state++;
    },

    validateCallLog: function (log) {
        assertEquals(log[1].func, "Unity.init");
        assertEquals(log[1].args[0].name, "live.com");
        assertEquals(log[2].func, "Unity.MessagingIndicator.showIndicator");
        assertEquals(log[3].func, "Unity.MessagingIndicator.showIndicator");
    },

    scriptName: 'LiveMail.user.js.in'
};
