function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        this._state = 0;
        browser.open('https://twitter.com');

        this._browser = browser;
    },

    onLoad: function () {
        function authorize(login, pass) {
            var name = document.evaluate('//input[@name=\"session[username_or_email]\"]', document, null, XPathResult.ANY_UNORDERED_NODE_TYPE, null).singleNodeValue;
            var password = document.evaluate('//input[@name=\"session[password]\"]', document, null, XPathResult.ANY_UNORDERED_NODE_TYPE, null).singleNodeValue;
            name.value = login;
            password.value = pass;
            password.form.submit();
        }
        var login = this._browser.getLogin();
        var password = this._browser.getPassword();
        if (!login) {
            this._browser.skipTest();
        }
        if (this._state === 0) {
            this._browser.injectScript("(function(){var authorize = " + authorize + "; authorize('" + login + "', '" + password + "');})();");
        } else if (this._state >= 1) {
            setTimeout(this._browser.finish.bind(this._browser), 10000);
        }
        this._state++;
    },

    validateCallLog: function (log) {
        assertEquals(log[0].func, "Unity.init");
        assertEquals(log[0].args[0].name, "Twitter");
        assertEquals(log[3].func, "Unity.MessagingIndicator.showIndicator");
    },

    scriptName: 'Twitter.user.js.in'
};
